Accreditive Service API

OpenAPI

Скачать исходную спецификацию

Варианты

  • Паблик

Операции API

GET /api/v1/accreditives — Получение аккредитива по номеру

{
  "tags": [
    "accreditive-controller"
  ],
  "summary": "Получение аккредитива по номеру",
  "operationId": "findAccreditiveByNumber",
  "parameters": [
    {
      "name": "accreditiveNumber",
      "in": "query",
      "required": false,
      "schema": {
        "type": "string"
      }
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    }
  ],
  "responses": {
    "200": {
      "description": "OK",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/AccreditiveDto"
          }
        }
      }
    },
    "400": {
      "description": "Bad Request",
      "content": {
        "*/*": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponseDto"
          }
        }
      }
    },
    "401": {
      "description": "Unauthorized",
      "content": {
        "*/*": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponseDto"
          }
        }
      }
    },
    "403": {
      "description": "Forbidden",
      "content": {
        "*/*": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponseDto"
          }
        }
      }
    },
    "404": {
      "description": "Not Found",
      "content": {
        "*/*": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponseDto"
          }
        }
      }
    },
    "422": {
      "description": "Unprocessable Entity",
      "content": {
        "*/*": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponseDto"
          }
        }
      }
    },
    "500": {
      "description": "Internal Server Error",
      "content": {
        "*/*": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponseDto"
          }
        }
      }
    }
  }
}

POST /api/v1/accreditives — Получение списка аккредитивов

{
  "tags": [
    "accreditive-controller"
  ],
  "operationId": "findBy",
  "summary": "Получение списка аккредитивов",
  "parameters": [
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/AccreditiveListFilterDto"
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "OK",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/PageDtoAccreditiveDto"
          }
        }
      }
    },
    "400": {
      "description": "Bad Request",
      "content": {
        "*/*": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponseDto"
          }
        }
      }
    },
    "403": {
      "description": "Forbidden",
      "content": {
        "*/*": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponseDto"
          }
        }
      }
    },
    "404": {
      "description": "Not Found",
      "content": {
        "*/*": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponseDto"
          }
        }
      }
    },
    "422": {
      "description": "Unprocessable Entity",
      "content": {
        "*/*": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponseDto"
          }
        }
      }
    },
    "500": {
      "description": "Internal Server Error",
      "content": {
        "*/*": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponseDto"
          }
        }
      }
    }
  }
}

Схемы и примеры

{
  "securitySchemes": {
    "bearerAuth": {
      "type": "http",
      "scheme": "bearer",
      "description": "Токен доступа",
      "bearerFormat": "JWT"
    }
  },
  "schemas": {
    "ErrorResponseDto": {
      "required": [
        "errors"
      ],
      "type": "object",
      "properties": {
        "errors": {
          "type": "array",
          "items": {
            "$ref": "#/components/schemas/ErrorResponseItemDto"
          }
        }
      }
    },
    "ErrorResponseItemDto": {
      "required": [
        "code",
        "detail",
        "id"
      ],
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "detail": {
          "type": "string"
        },
        "meta": {
          "type": "object"
        },
        "id": {
          "type": "string"
        },
        "source": {
          "$ref": "#/components/schemas/ErrorSource"
        }
      }
    },
    "ErrorSource": {
      "required": [
        "pointer"
      ],
      "type": "object",
      "properties": {
        "pointer": {
          "type": "string"
        }
      }
    },
    "LoanDto": {
      "type": "object",
      "properties": {
        "loanId": {
          "type": "string"
        }
      }
    },
    "AccreditiveApplicationDto": {
      "required": [
        "adviseBankType",
        "applicantCnum",
        "availableActions",
        "commonConditionsAccepted",
        "createdAt",
        "hasAgreement",
        "hasDebitAccount",
        "hasUnreadComment",
        "target"
      ],
      "type": "object",
      "properties": {
        "version": {
          "type": "integer",
          "format": "int64"
        },
        "applicationNumber": {
          "type": "string"
        },
        "numberPerApplicant": {
          "type": "integer",
          "format": "int64"
        },
        "target": {
          "type": "string",
          "enum": [
            "TRADE",
            "NON_TRADE"
          ]
        },
        "requestedEffectiveDate": {
          "type": "string",
          "format": "date"
        },
        "expiryDate": {
          "type": "string",
          "format": "date"
        },
        "amount": {
          "type": "number"
        },
        "currency": {
          "type": "string"
        },
        "applicantCnum": {
          "type": "string"
        },
        "channel": {
          "type": "string",
          "enum": [
            "TFO",
            "DGP"
          ]
        },
        "deviationPlus": {
          "type": "number"
        },
        "deviationMinus": {
          "type": "number"
        },
        "coverageType": {
          "type": "string"
        },
        "coverageSum": {
          "type": "number"
        },
        "coveragePercent": {
          "type": "integer",
          "format": "int32"
        },
        "agreementNumber": {
          "type": "string"
        },
        "agreementDate": {
          "type": "string",
          "format": "date"
        },
        "debitAccount": {
          "type": "string"
        },
        "paymentAccount": {
          "type": "string"
        },
        "type": {
          "type": "string"
        },
        "status": {
          "type": "string",
          "enum": [
            "DRAFT",
            "DGP_DRAFT",
            "ON_SIGN",
            "PARTIALLY_SIGNED",
            "SIGNED",
            "ON_PENDING_BANK",
            "BANK_PROCESSING",
            "REJECTED",
            "ISSUED",
            "DELETED"
          ]
        },
        "createdAt": {
          "type": "string",
          "format": "date-time"
        },
        "appliedAt": {
          "type": "string",
          "format": "date-time"
        },
        "applicant": {
          "$ref": "#/components/schemas/Applicant"
        },
        "beneficiary": {
          "oneOf": [
            {
              "$ref": "#/components/schemas/InternationalBeneficiary"
            },
            {
              "$ref": "#/components/schemas/LegalBeneficiary"
            },
            {
              "$ref": "#/components/schemas/PersonBeneficiary"
            }
          ]
        },
        "commitment": {
          "oneOf": [
            {
              "$ref": "#/components/schemas/InternationalCommitment"
            },
            {
              "$ref": "#/components/schemas/NonTradeCommitment"
            },
            {
              "$ref": "#/components/schemas/TradeCommitment"
            }
          ]
        },
        "personalConditions": {
          "type": "string"
        },
        "withPersonalConditions": {
          "type": "boolean"
        },
        "comment": {
          "type": "string"
        },
        "contact": {
          "$ref": "#/components/schemas/Contact"
        },
        "adviseBankSwift": {
          "type": "string"
        },
        "adviseBankName": {
          "type": "string"
        },
        "adviseBankType": {
          "type": "string",
          "enum": [
            "RAIFFEISEN",
            "OTHER"
          ]
        },
        "commission": {
          "oneOf": [
            {
              "$ref": "#/components/schemas/InternationalCommission"
            },
            {
              "$ref": "#/components/schemas/RussianCommission"
            }
          ]
        },
        "rejectionComment": {
          "type": "string"
        },
        "reviseComment": {
          "type": "string"
        },
        "commonConditionsAccepted": {
          "type": "boolean"
        },
        "hasDebitAccount": {
          "type": "boolean"
        },
        "hasUnreadComment": {
          "type": "boolean"
        },
        "hasAgreement": {
          "type": "boolean"
        },
        "promisedDocuments": {
          "$ref": "#/components/schemas/PromisedDocuments"
        },
        "tiReference": {
          "type": "string"
        },
        "executionParams": {
          "oneOf": [
            {
              "$ref": "#/components/schemas/InternationalExecutionParams"
            },
            {
              "$ref": "#/components/schemas/RussianExecutionParams"
            }
          ]
        },
        "executingBank": {
          "oneOf": [
            {
              "$ref": "#/components/schemas/InternationalExecutingBank"
            },
            {
              "$ref": "#/components/schemas/RussianExecutingBank"
            }
          ]
        },
        "requiredDocuments": {
          "type": "array",
          "items": {
            "$ref": "#/components/schemas/RequiredDocument"
          }
        },
        "additionalConditions": {
          "$ref": "#/components/schemas/AdditionalConditions"
        },
        "discount": {
          "oneOf": [
            {
              "$ref": "#/components/schemas/InternationalDiscount"
            },
            {
              "$ref": "#/components/schemas/RussianDiscount"
            }
          ]
        },
        "accreditiveCategory": {
          "$ref": "#/components/schemas/AccreditiveCategory"
        },
        "accreditiveRegulation": {
          "$ref": "#/components/schemas/AccreditiveRegulation"
        },
        "internationalApplicant": {
          "$ref": "#/components/schemas/InternationalApplicant"
        },
        "additionalConditionsInternational": {
          "type": "string"
        },
        "informationForBank": {
          "type": "string"
        },
        "financing": {
          "$ref": "#/components/schemas/Financing"
        },
        "internationalRequiredDocuments": {
          "type": "array",
          "items": {
            "$ref": "#/components/schemas/InternationalRequiredDocument"
          }
        },
        "deliveryParams": {
          "$ref": "#/components/schemas/DeliveryParams"
        },
        "requiredDocumentsInternational": {
          "type": "string"
        },
        "availableActions": {
          "type": "array",
          "items": {
            "$ref": "#/components/schemas/ActionDto"
          }
        }
      }
    },
    "AccreditiveCategory": {
      "required": [
        "hasConfirmed",
        "hasTransferable"
      ],
      "type": "object",
      "properties": {
        "type": {
          "type": "string"
        },
        "hasTransferable": {
          "type": "boolean"
        },
        "hasConfirmed": {
          "type": "boolean"
        },
        "swift": {
          "type": "string"
        },
        "name": {
          "type": "string"
        }
      }
    },
    "AccreditiveRegulation": {
      "type": "object",
      "properties": {
        "accreditiveRegulation": {
          "type": "string"
        },
        "electronicSubmissionOfDocuments": {
          "type": "boolean"
        }
      }
    },
    "AccreditiveVersionDto": {
      "type": "object",
      "properties": {
        "accreditiveVersionId": {
          "type": "integer",
          "format": "int64"
        },
        "accreditiveVersion": {
          "type": "integer",
          "format": "int32"
        },
        "createDateTime": {
          "type": "string",
          "format": "date-time"
        },
        "accreditiveVersionChangeType": {
          "type": "string",
          "enum": [
            "CHANGE",
            "CORRECTION"
          ]
        }
      }
    },
    "ActionDto": {
      "required": [
        "actionType",
        "permissionType"
      ],
      "type": "object",
      "properties": {
        "actionType": {
          "type": "string"
        },
        "permissionType": {
          "type": "string",
          "enum": [
            "ALLOWED",
            "DENIED"
          ]
        }
      }
    },
    "AdditionalConditions": {
      "required": [
        "hasConfirmedAccreditive",
        "hasPartialPayments",
        "hasThirdPartyExecution"
      ],
      "type": "object",
      "properties": {
        "hasPartialPayments": {
          "type": "boolean"
        },
        "consignee": {
          "type": "string"
        },
        "destination": {
          "type": "string"
        },
        "dateOfLastShipment": {
          "type": "string",
          "format": "date"
        },
        "lastDateConsidered": {
          "type": "string"
        },
        "hasConfirmedAccreditive": {
          "type": "boolean"
        },
        "swift": {
          "type": "string"
        },
        "name": {
          "type": "string"
        },
        "hasThirdPartyExecution": {
          "type": "boolean"
        },
        "otherAdditionalConditions": {
          "type": "string"
        }
      }
    },
    "AgreementPrincipal": {
      "type": "object",
      "properties": {
        "profitCenter": {
          "type": "string"
        },
        "region": {
          "type": "string"
        }
      }
    },
    "AmountChangeOptions": {
      "type": "object",
      "properties": {
        "changeDate": {
          "type": "string",
          "format": "date"
        },
        "newAmount": {
          "type": "number"
        }
      }
    },
    "Applicant": {
      "type": "object",
      "properties": {
        "cnum": {
          "type": "string"
        },
        "type": {
          "type": "string",
          "enum": [
            "ORGANIZATION",
            "INDIVIDUAL"
          ]
        },
        "name": {
          "type": "string"
        },
        "gcc": {
          "type": "string"
        },
        "gccName": {
          "type": "string"
        },
        "inn": {
          "type": "string"
        },
        "tin": {
          "type": "string"
        },
        "kpp": {
          "type": "string"
        },
        "ogrn": {
          "type": "string"
        },
        "address": {
          "type": "string"
        },
        "nameRus": {
          "type": "string"
        },
        "nameEng": {
          "type": "string"
        },
        "resident": {
          "type": "boolean"
        },
        "segment": {
          "type": "string"
        },
        "postalAddress": {
          "type": "string"
        },
        "addressEng": {
          "type": "string"
        },
        "region": {
          "type": "string"
        },
        "profitCentre": {
          "type": "string"
        },
        "clientManager": {
          "$ref": "#/components/schemas/ClientManager"
        }
      }
    },
    "Approval": {
      "type": "object",
      "properties": {
        "compliancePreApproved": {
          "type": "boolean"
        },
        "riskPreApproved": {
          "type": "boolean"
        },
        "currencyControlPreApproved": {
          "type": "boolean"
        }
      }
    },
    "BankSigner": {
      "type": "object",
      "properties": {
        "id": {
          "type": "integer",
          "format": "int64"
        },
        "login": {
          "type": "string"
        },
        "fullName": {
          "type": "string"
        },
        "fullNameEng": {
          "type": "string"
        },
        "position": {
          "type": "string"
        },
        "positionEng": {
          "type": "string"
        },
        "department": {
          "type": "string"
        },
        "region": {
          "type": "string"
        },
        "city": {
          "type": "string"
        },
        "address": {
          "type": "string"
        },
        "quitDate": {
          "type": "string",
          "format": "date"
        },
        "comment": {
          "type": "string"
        },
        "phone": {
          "type": "string"
        },
        "email": {
          "type": "string"
        },
        "activeTrust": {
          "$ref": "#/components/schemas/Trust"
        },
        "isSwiftSigner": {
          "type": "boolean"
        },
        "isTfSigner": {
          "type": "boolean"
        },
        "signerDepartment": {
          "type": "string"
        },
        "emailsForNotification": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    },
    "Beneficiary": {
      "required": [
        "fullName",
        "type"
      ],
      "type": "object",
      "properties": {
        "fullName": {
          "type": "string"
        },
        "residentialType": {
          "type": "string",
          "enum": [
            "RESIDENT",
            "NON_RESIDENT"
          ]
        },
        "requisites": {
          "oneOf": [
            {
              "$ref": "#/components/schemas/ForeignBank"
            },
            {
              "$ref": "#/components/schemas/RusBank"
            }
          ]
        },
        "type": {
          "type": "string"
        }
      },
      "discriminator": {
        "propertyName": "type"
      }
    },
    "ClientManager": {
      "type": "object",
      "properties": {
        "login": {
          "type": "string"
        },
        "fio": {
          "type": "string"
        },
        "email": {
          "type": "string"
        },
        "phone": {
          "type": "string"
        }
      }
    },
    "ClientSigner": {
      "required": [
        "isEio"
      ],
      "type": "object",
      "properties": {
        "isEio": {
          "type": "boolean"
        },
        "fullName": {
          "type": "string"
        },
        "position": {
          "type": "string"
        },
        "warrant": {
          "type": "string"
        },
        "authorityEndDate": {
          "type": "string",
          "format": "date"
        }
      }
    },
    "Collateral": {
      "required": [
        "type"
      ],
      "type": "object",
      "properties": {
        "type": {
          "type": "string"
        },
        "coverDate": {
          "type": "string",
          "format": "date"
        },
        "coverEndDate": {
          "type": "string",
          "format": "date"
        },
        "comment": {
          "type": "string"
        },
        "coverCurrency": {
          "type": "string"
        },
        "bankAccrual": {
          "type": "string"
        },
        "rateType": {
          "type": "string"
        },
        "rateAmount": {
          "type": "string"
        },
        "rateSpread": {
          "type": "string"
        },
        "paymentFrequency": {
          "type": "string"
        },
        "accountType": {
          "type": "string"
        },
        "depositId": {
          "type": "string"
        },
        "account": {
          "type": "string"
        },
        "coverAmount": {
          "type": "integer",
          "format": "int32"
        },
        "coverageSum": {
          "type": "number"
        },
        "paymentAccount": {
          "type": "string"
        }
      }
    },
    "Commission": {
      "required": [
        "type"
      ],
      "type": "object",
      "properties": {
        "type": {
          "type": "string"
        }
      },
      "discriminator": {
        "propertyName": "type"
      }
    },
    "Commitment": {
      "required": [
        "contract",
        "type",
        "withNds"
      ],
      "type": "object",
      "properties": {
        "contract": {
          "$ref": "#/components/schemas/Contract"
        },
        "withNds": {
          "type": "boolean"
        },
        "nds": {
          "type": "integer",
          "format": "int64"
        },
        "type": {
          "type": "string"
        }
      },
      "discriminator": {
        "propertyName": "type"
      }
    },
    "Contact": {
      "required": [
        "fullName",
        "phone"
      ],
      "type": "object",
      "properties": {
        "fullName": {
          "type": "string"
        },
        "email": {
          "type": "string"
        },
        "phone": {
          "type": "string"
        }
      }
    },
    "Contract": {
      "required": [
        "date",
        "name",
        "number"
      ],
      "type": "object",
      "properties": {
        "number": {
          "type": "string"
        },
        "name": {
          "type": "string"
        },
        "date": {
          "type": "string",
          "format": "date"
        }
      }
    },
    "DeliveryParams": {
      "required": [
        "deliveryMethodCanBeChanged",
        "hasNoShipment",
        "hasOverLoad",
        "hasPartialShipment"
      ],
      "type": "object",
      "properties": {
        "hasNoShipment": {
          "type": "boolean"
        },
        "deliveryMethodCanBeChanged": {
          "type": "boolean"
        },
        "shippingMethod": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "hasPartialShipment": {
          "type": "boolean"
        },
        "hasOverLoad": {
          "type": "boolean"
        },
        "portOfShipping": {
          "type": "string"
        },
        "portOfUnloading": {
          "type": "string"
        },
        "placeOfShipping": {
          "type": "string"
        },
        "placeOfUnloading": {
          "type": "string"
        },
        "lastShipmentDate": {
          "type": "string",
          "format": "date"
        },
        "shippingPeriod": {
          "$ref": "#/components/schemas/ShippingPeriod"
        }
      }
    },
    "Discount": {
      "required": [
        "type"
      ],
      "type": "object",
      "properties": {
        "earlyRefundType": {
          "type": "string"
        },
        "otherEarlyRefund": {
          "type": "string"
        },
        "commissionPaymentType": {
          "type": "string"
        },
        "otherCommissionPayment": {
          "type": "string"
        },
        "earlyRefundCommissionAmount": {
          "type": "number"
        },
        "earlyRefundCommissionCurrency": {
          "type": "string"
        },
        "commissionForDiscount": {
          "type": "string"
        },
        "detail": {
          "type": "string"
        },
        "amount": {
          "type": "number"
        },
        "currency": {
          "type": "string"
        },
        "type": {
          "type": "string"
        }
      },
      "discriminator": {
        "propertyName": "type"
      }
    },
    "ElectronIssue": {
      "required": [
        "electronOrOnBlank",
        "method"
      ],
      "type": "object",
      "allOf": [
        {
          "$ref": "#/components/schemas/IssueMethod"
        }
      ]
    },
    "ExecutingBank": {
      "required": [
        "hasRaiffeisenBank",
        "type"
      ],
      "type": "object",
      "properties": {
        "hasRaiffeisenBank": {
          "type": "boolean"
        },
        "name": {
          "type": "string"
        },
        "executingBankType": {
          "type": "string",
          "enum": [
            "RAIF",
            "BENE_BANK",
            "OTHER"
          ]
        },
        "type": {
          "type": "string"
        }
      },
      "discriminator": {
        "propertyName": "type"
      }
    },
    "ExecutionParams": {
      "required": [
        "type"
      ],
      "type": "object",
      "properties": {
        "hasDiscounting": {
          "type": "boolean"
        },
        "hasDiscountingDgp": {
          "type": "boolean"
        },
        "type": {
          "type": "string"
        }
      },
      "discriminator": {
        "propertyName": "type"
      }
    },
    "Financing": {
      "required": [
        "financingFromRaiffeisen"
      ],
      "type": "object",
      "properties": {
        "financingFromRaiffeisen": {
          "type": "boolean"
        },
        "swift": {
          "type": "string"
        },
        "bankName": {
          "type": "string"
        },
        "number": {
          "type": "integer",
          "format": "int32"
        },
        "period": {
          "type": "string"
        },
        "event": {
          "type": "string"
        },
        "otherEvent": {
          "type": "string"
        },
        "repaymentTerm": {
          "type": "string"
        },
        "otherRepaymentTerm": {
          "type": "string"
        },
        "interestPaymentTerm": {
          "type": "string"
        },
        "otherInterestPaymentTerm": {
          "type": "string"
        },
        "financingRate": {
          "type": "string"
        },
        "additionalFinancingRateInformation": {
          "type": "string"
        },
        "amount": {
          "type": "number"
        },
        "currency": {
          "type": "string"
        }
      }
    },
    "ForeignBank": {
      "required": [
        "requisites"
      ],
      "type": "object",
      "allOf": [
        {
          "$ref": "#/components/schemas/Requisites"
        },
        {
          "type": "object",
          "properties": {
            "requisites": {
              "type": "string"
            }
          }
        }
      ]
    },
    "InternationalApplicant": {
      "type": "object",
      "properties": {
        "name": {
          "type": "string"
        },
        "address": {
          "type": "string"
        }
      }
    },
    "InternationalBeneficiary": {
      "required": [
        "fullName"
      ],
      "type": "object",
      "allOf": [
        {
          "$ref": "#/components/schemas/Beneficiary"
        },
        {
          "type": "object",
          "properties": {
            "address": {
              "type": "string"
            },
            "accountNumber": {
              "type": "string"
            }
          }
        }
      ]
    },
    "InternationalBeneficiaryDgpData": {
      "type": "object",
      "allOf": [
        {
          "$ref": "#/components/schemas/BeneficiaryDgpData"
        },
        {
          "type": "object",
          "properties": {
            "fullNameEng": {
              "type": "string"
            },
            "shortName": {
              "type": "string"
            }
          }
        }
      ]
    },
    "InternationalCommission": {
      "type": "object",
      "allOf": [
        {
          "$ref": "#/components/schemas/Commission"
        },
        {
          "type": "object",
          "properties": {
            "raiffeisenCommissionPaidBy": {
              "type": "string"
            },
            "accountForRaiffeisenCommission": {
              "type": "string"
            },
            "commissionSize": {
              "type": "number"
            },
            "confirmationBankCommissionPaidBy": {
              "type": "string"
            },
            "confirmationCommissionType": {
              "type": "string"
            },
            "additionalInformationAboutCommission": {
              "type": "string"
            },
            "advisingCommissionPaidBy": {
              "type": "string"
            },
            "accountForOtherBanksCommission": {
              "type": "string"
            }
          }
        }
      ]
    },
    "InternationalCommitment": {
      "required": [
        "withNds"
      ],
      "type": "object",
      "allOf": [
        {
          "$ref": "#/components/schemas/Commitment"
        },
        {
          "type": "object",
          "properties": {
            "unk": {
              "type": "string"
            },
            "deliveryList": {
              "type": "array",
              "items": {
                "$ref": "#/components/schemas/InternationalDelivery"
              }
            },
            "description": {
              "type": "string"
            }
          }
        }
      ]
    },
    "InternationalDelivery": {
      "type": "object",
      "properties": {
        "deliveryTerm": {
          "type": "string"
        },
        "deliveryLocation": {
          "type": "string"
        },
        "incotermsVersion": {
          "type": "string"
        }
      }
    },
    "InternationalDiscount": {
      "required": [
        "discountExpenseOfRaiffeisen"
      ],
      "type": "object",
      "allOf": [
        {
          "$ref": "#/components/schemas/Discount"
        },
        {
          "type": "object",
          "properties": {
            "discountExpenseOfRaiffeisen": {
              "type": "boolean"
            },
            "swift": {
              "type": "string"
            },
            "bankName": {
              "type": "string"
            }
          }
        }
      ]
    },
    "InternationalExecutingBank": {
      "required": [
        "hasRaiffeisenBank"
      ],
      "type": "object",
      "allOf": [
        {
          "$ref": "#/components/schemas/ExecutingBank"
        },
        {
          "type": "object",
          "properties": {
            "swift": {
              "type": "string"
            },
            "internationalDocumentDeadLine": {
              "type": "string"
            },
            "days": {
              "type": "integer",
              "format": "int32"
            },
            "event": {
              "type": "string"
            },
            "other": {
              "type": "string"
            }
          }
        }
      ]
    },
    "InternationalExecutionParams": {
      "required": [
        "hasFinancing"
      ],
      "type": "object",
      "allOf": [
        {
          "$ref": "#/components/schemas/ExecutionParams"
        },
        {
          "type": "object",
          "properties": {
            "executionMethod": {
              "type": "string"
            },
            "delayInDays": {
              "type": "integer",
              "format": "int32"
            },
            "delayCondition": {
              "type": "string"
            },
            "fixedDate": {
              "type": "string",
              "format": "date"
            },
            "otherCondition": {
              "type": "string"
            },
            "mixedPaymentDetails": {
              "type": "string"
            },
            "hasFinancing": {
              "type": "boolean"
            }
          }
        }
      ]
    },
    "InternationalRequiredDocument": {
      "type": "object",
      "properties": {
        "document": {
          "type": "string"
        },
        "requirement": {
          "type": "string"
        },
        "language": {
          "type": "string"
        },
        "otherLanguage": {
          "type": "string"
        },
        "numberOfOriginals": {
          "type": "integer",
          "format": "int32"
        },
        "numberOfCopies": {
          "type": "integer",
          "format": "int32"
        }
      }
    },
    "IssueMethod": {
      "required": [
        "electronOrOnBlank",
        "method"
      ],
      "type": "object",
      "properties": {
        "method": {
          "type": "string"
        },
        "electronOrOnBlank": {
          "type": "boolean"
        }
      },
      "discriminator": {
        "propertyName": "method"
      }
    },
    "LegalBeneficiary": {
      "required": [
        "address",
        "fullName"
      ],
      "type": "object",
      "allOf": [
        {
          "$ref": "#/components/schemas/Beneficiary"
        },
        {
          "type": "object",
          "properties": {
            "address": {
              "type": "string"
            },
            "inn": {
              "pattern": "^([0-9]{10}|[0-9]{12})$",
              "type": "string"
            },
            "kpp": {
              "pattern": "^([0-9]{9})$",
              "type": "string"
            },
            "ogrn": {
              "pattern": "^([0-9]{13}|[0-9]{15})$",
              "type": "string"
            },
            "kio": {
              "pattern": "^([0-9]{5})$",
              "type": "string"
            },
            "tin": {
              "type": "string"
            }
          }
        }
      ]
    },
    "LegalBeneficiaryDgpData": {
      "type": "object",
      "allOf": [
        {
          "$ref": "#/components/schemas/BeneficiaryDgpData"
        },
        {
          "type": "object",
          "properties": {
            "fullNameEng": {
              "type": "string"
            },
            "shortName": {
              "type": "string"
            }
          }
        }
      ]
    },
    "ModificationOptions": {
      "required": [
        "isModifiable"
      ],
      "type": "object",
      "properties": {
        "isModifiable": {
          "type": "boolean"
        },
        "periodIncreaseWithoutBeneApproval": {
          "type": "boolean"
        },
        "amountIncreaseWithoutBeneApproval": {
          "type": "boolean"
        }
      }
    },
    "NonTradeCommitment": {
      "required": [
        "mortgage",
        "objects",
        "withNds"
      ],
      "type": "object",
      "allOf": [
        {
          "$ref": "#/components/schemas/Commitment"
        },
        {
          "type": "object",
          "properties": {
            "mortgage": {
              "type": "boolean"
            },
            "objects": {
              "type": "array",
              "items": {
                "$ref": "#/components/schemas/TradeObject"
              }
            }
          }
        }
      ]
    },
    "OnFormDeliveryTerms": {
      "required": [
        "deliveryMethod"
      ],
      "type": "object",
      "properties": {
        "deliveryMethod": {
          "type": "string"
        }
      },
      "discriminator": {
        "propertyName": "deliveryMethod"
      }
    },
    "OnFormIssue": {
      "required": [
        "electronOrOnBlank",
        "method"
      ],
      "type": "object",
      "allOf": [
        {
          "$ref": "#/components/schemas/IssueMethod"
        },
        {
          "type": "object",
          "properties": {
            "deliveryTerms": {
              "$ref": "#/components/schemas/OnFormDeliveryTerms"
            }
          }
        }
      ]
    },
    "PersonBeneficiary": {
      "required": [
        "fullName"
      ],
      "type": "object",
      "allOf": [
        {
          "$ref": "#/components/schemas/Beneficiary"
        },
        {
          "type": "object",
          "properties": {
            "russianPassport": {
              "type": "string"
            },
            "issuedDate": {
              "type": "string",
              "format": "date"
            },
            "issuedBy": {
              "type": "string"
            },
            "registrationAddress": {
              "type": "string"
            },
            "foreignPassport": {
              "type": "string"
            }
          }
        }
      ]
    },
    "PersonBeneficiaryDgpData": {
      "type": "object",
      "allOf": [
        {
          "$ref": "#/components/schemas/BeneficiaryDgpData"
        },
        {
          "type": "object",
          "properties": {
            "birthDate": {
              "type": "string",
              "format": "date"
            }
          }
        }
      ]
    },
    "PromisedDocument": {
      "required": [
        "name"
      ],
      "type": "object",
      "properties": {
        "name": {
          "type": "string"
        }
      }
    },
    "PromisedDocuments": {
      "required": [
        "canBeProvidedAnyOfDocuments",
        "otherPromisedDocuments",
        "propertyRegistryStatement",
        "signedContractOfSale"
      ],
      "type": "object",
      "properties": {
        "signedContractOfSale": {
          "type": "boolean"
        },
        "propertyRegistryStatement": {
          "type": "boolean"
        },
        "canBeProvidedAnyOfDocuments": {
          "type": "boolean"
        },
        "otherPromisedDocuments": {
          "type": "array",
          "items": {
            "$ref": "#/components/schemas/PromisedDocument"
          }
        }
      }
    },
    "RequiredDocument": {
      "type": "object",
      "properties": {
        "document": {
          "type": "string"
        },
        "requirement": {
          "type": "string"
        }
      }
    },
    "Requisites": {
      "required": [
        "type"
      ],
      "type": "object",
      "properties": {
        "type": {
          "type": "string"
        }
      },
      "discriminator": {
        "propertyName": "type"
      }
    },
    "RusBank": {
      "required": [
        "accountNumber",
        "bik",
        "correspondentAccount",
        "name"
      ],
      "type": "object",
      "allOf": [
        {
          "$ref": "#/components/schemas/Requisites"
        },
        {
          "type": "object",
          "properties": {
            "bik": {
              "type": "string"
            },
            "accountNumber": {
              "type": "string"
            },
            "name": {
              "type": "string"
            },
            "correspondentAccount": {
              "type": "string"
            }
          }
        }
      ]
    },
    "RussianCommission": {
      "required": [
        "commissionType"
      ],
      "type": "object",
      "allOf": [
        {
          "$ref": "#/components/schemas/Commission"
        },
        {
          "type": "object",
          "properties": {
            "commissionType": {
              "type": "string",
              "enum": [
                "BY_APPLICANT",
                "MIXED",
                "OTHER"
              ]
            },
            "account": {
              "type": "string"
            },
            "otherConditions": {
              "type": "string"
            }
          }
        }
      ]
    },
    "RussianDiscount": {
      "type": "object",
      "allOf": [
        {
          "$ref": "#/components/schemas/Discount"
        }
      ]
    },
    "RussianExecutingBank": {
      "required": [
        "hasRaiffeisenBank"
      ],
      "type": "object",
      "allOf": [
        {
          "$ref": "#/components/schemas/ExecutingBank"
        },
        {
          "type": "object",
          "properties": {
            "bik": {
              "type": "string"
            },
            "correspondentAccount": {
              "type": "string"
            }
          }
        }
      ]
    },
    "RussianExecutionParams": {
      "type": "object",
      "allOf": [
        {
          "$ref": "#/components/schemas/ExecutionParams"
        },
        {
          "type": "object",
          "properties": {
            "executionMethod": {
              "type": "string"
            },
            "documentsDeadLine": {
              "type": "string"
            },
            "extensionParams": {
              "type": "string"
            },
            "otherExecutionMethod": {
              "type": "string"
            },
            "otherDocumentsDeadLine": {
              "type": "string"
            }
          }
        }
      ]
    },
    "ShippingPeriod": {
      "type": "object",
      "properties": {
        "startDate": {
          "type": "string",
          "format": "date"
        },
        "endDate": {
          "type": "string",
          "format": "date"
        }
      }
    },
    "SwiftIssue": {
      "required": [
        "electronOrOnBlank",
        "method"
      ],
      "type": "object",
      "allOf": [
        {
          "$ref": "#/components/schemas/IssueMethod"
        }
      ]
    },
    "TechnicalInformationDto": {
      "required": [
        "allAccreditiveVersionsList"
      ],
      "type": "object",
      "properties": {
        "accreditiveNumber": {
          "type": "string"
        },
        "accreditiveId": {
          "type": "integer",
          "format": "int64"
        },
        "accreditiveVersion": {
          "type": "integer",
          "format": "int32"
        },
        "accreditiveStatus": {
          "type": "string",
          "enum": [
            "ISSUED",
            "ENDED",
            "ERROR",
            "CREATED_WITHOUT_LOAN"
          ]
        },
        "issuedDate": {
          "type": "string",
          "format": "date"
        },
        "versionEffectiveDate": {
          "type": "string",
          "format": "date"
        },
        "applicationId": {
          "type": "integer",
          "format": "int64"
        },
        "tiReference": {
          "type": "string"
        },
        "loanId": {
          "type": "string"
        },
        "manualAccountingReflection": {
          "type": "boolean"
        },
        "channel": {
          "type": "string",
          "enum": [
            "TFO",
            "DGP"
          ]
        },
        "allAccreditiveVersionsList": {
          "type": "array",
          "items": {
            "$ref": "#/components/schemas/AccreditiveVersionDto"
          }
        }
      }
    },
    "TerminationOptions": {
      "type": "object",
      "properties": {
        "notifyCountDays": {
          "type": "integer",
          "format": "int32"
        },
        "notifyDayType": {
          "type": "string",
          "enum": [
            "CALENDAR",
            "WORKERS",
            "NONE"
          ]
        },
        "terminationDate": {
          "type": "string",
          "format": "date"
        }
      }
    },
    "TradeCommitment": {
      "required": [
        "withNds"
      ],
      "type": "object",
      "allOf": [
        {
          "$ref": "#/components/schemas/Commitment"
        },
        {
          "type": "object",
          "properties": {
            "description": {
              "type": "string"
            }
          }
        }
      ]
    },
    "TradeObject": {
      "required": [
        "address",
        "cadastralNumber",
        "nameId",
        "square"
      ],
      "type": "object",
      "properties": {
        "nameId": {
          "type": "string"
        },
        "nameOther": {
          "type": "string"
        },
        "address": {
          "type": "string"
        },
        "square": {
          "type": "number",
          "format": "double"
        },
        "deviation": {
          "type": "number",
          "format": "double"
        },
        "cadastralNumber": {
          "type": "string"
        },
        "otherInfo": {
          "type": "string"
        }
      }
    },
    "Trust": {
      "required": [
        "docTypes"
      ],
      "type": "object",
      "properties": {
        "id": {
          "type": "integer",
          "format": "int64"
        },
        "signerId": {
          "type": "integer",
          "format": "int64"
        },
        "isActive": {
          "type": "boolean"
        },
        "startDate": {
          "type": "string",
          "format": "date"
        },
        "date": {
          "type": "string",
          "format": "date"
        },
        "endDate": {
          "type": "string",
          "format": "date"
        },
        "number": {
          "type": "string"
        },
        "trustImageId": {
          "type": "integer",
          "format": "int64"
        },
        "docTypes": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "guaranteeTypes": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "isAllGuaranteeTypes": {
          "type": "boolean"
        },
        "minLimit": {
          "type": "number"
        },
        "maxLimit": {
          "type": "number"
        },
        "isNoLimit": {
          "type": "boolean"
        }
      }
    },
    "RangeDtoBigDecimal": {
      "required": [
        "notEmpty"
      ],
      "type": "object",
      "properties": {
        "from": {
          "type": "number"
        },
        "to": {
          "type": "number"
        },
        "notEmpty": {
          "type": "boolean"
        }
      }
    },
    "RangeDtoLocalDate": {
      "required": [
        "notEmpty"
      ],
      "type": "object",
      "properties": {
        "from": {
          "type": "string",
          "format": "date"
        },
        "to": {
          "type": "string",
          "format": "date"
        },
        "notEmpty": {
          "type": "boolean"
        }
      }
    },
    "RequestPageDto": {
      "required": [
        "number",
        "size"
      ],
      "type": "object",
      "properties": {
        "number": {
          "type": "integer",
          "format": "int32"
        },
        "size": {
          "type": "integer",
          "format": "int32"
        }
      }
    },
    "SortDto": {
      "required": [
        "field",
        "order"
      ],
      "type": "object",
      "properties": {
        "field": {
          "type": "string"
        },
        "order": {
          "type": "string"
        }
      }
    },
    "ApplicantDto": {
      "type": "object",
      "properties": {
        "cnum": {
          "type": "string"
        },
        "name": {
          "type": "string"
        },
        "inn": {
          "type": "string"
        },
        "tin": {
          "type": "string"
        },
        "nameRus": {
          "type": "string"
        },
        "gcc": {
          "type": "string"
        },
        "segment": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "region": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "profitCentre": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    },
    "BeneficiaryDto": {
      "type": "object",
      "properties": {
        "cnum": {
          "type": "string"
        },
        "inn": {
          "type": "string"
        },
        "tin": {
          "type": "string"
        },
        "gcc": {
          "type": "string"
        },
        "shortName": {
          "type": "string"
        },
        "fullName": {
          "type": "string"
        },
        "residentialType": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    },
    "FilterDto": {
      "required": [
        "page",
        "sort"
      ],
      "type": "object",
      "properties": {
        "id": {
          "type": "integer",
          "format": "int64"
        },
        "applicationNumber": {
          "type": "string"
        },
        "dgpApplicationNumber": {
          "type": "string"
        },
        "number": {
          "type": "string"
        },
        "tiReference": {
          "type": "string"
        },
        "numberPerApplicant": {
          "$ref": "#/components/schemas/RangeDtoLong"
        },
        "applicant": {
          "$ref": "#/components/schemas/ApplicantDto"
        },
        "applicantCnum": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "channel": {
          "type": "string",
          "enum": [
            "TFO",
            "DGP"
          ]
        },
        "beneficiary": {
          "$ref": "#/components/schemas/BeneficiaryDto"
        },
        "createdAt": {
          "$ref": "#/components/schemas/RangeDtoLocalDate"
        },
        "expiryDate": {
          "$ref": "#/components/schemas/RangeDtoLocalDate"
        },
        "appliedAt": {
          "$ref": "#/components/schemas/RangeDtoLocalDate"
        },
        "requestedEffectiveDate": {
          "$ref": "#/components/schemas/RangeDtoLocalDate"
        },
        "status": {
          "type": "array",
          "items": {
            "type": "string",
            "enum": [
              "DRAFT",
              "DGP_DRAFT",
              "ON_SIGN",
              "PARTIALLY_SIGNED",
              "SIGNED",
              "ON_PENDING_BANK",
              "BANK_PROCESSING",
              "REJECTED",
              "ISSUED",
              "DELETED"
            ]
          }
        },
        "dgpStatus": {
          "type": "array",
          "items": {
            "type": "string",
            "enum": [
              "DRAFT",
              "ON_APPROVAL",
              "APPROVED",
              "DECLINED",
              "DELETED"
            ]
          }
        },
        "processStatus": {
          "$ref": "#/components/schemas/ProcessStatusDto"
        },
        "amount": {
          "$ref": "#/components/schemas/RangeDtoBigDecimal"
        },
        "currency": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "type": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "target": {
          "type": "array",
          "items": {
            "type": "string",
            "enum": [
              "TRADE",
              "NON_TRADE"
            ]
          }
        },
        "coverageType": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "agreementNumber": {
          "type": "string"
        },
        "bankSigner": {
          "type": "string"
        },
        "regionSigner": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "issueMethod": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "page": {
          "$ref": "#/components/schemas/RequestPageDto"
        },
        "sort": {
          "type": "array",
          "items": {
            "$ref": "#/components/schemas/SortDto"
          }
        },
        "sortBy": {
          "$ref": "#/components/schemas/SortDto"
        }
      }
    },
    "RangeDtoLong": {
      "required": [
        "notEmpty"
      ],
      "type": "object",
      "properties": {
        "from": {
          "type": "integer",
          "format": "int64"
        },
        "to": {
          "type": "integer",
          "format": "int64"
        },
        "notEmpty": {
          "type": "boolean"
        }
      }
    },
    "PageDtoAccreditiveApplicationDto": {
      "required": [
        "content",
        "totalElements"
      ],
      "type": "object",
      "properties": {
        "content": {
          "type": "array",
          "items": {
            "$ref": "#/components/schemas/AccreditiveApplicationDto"
          }
        },
        "totalElements": {
          "type": "integer",
          "format": "int64"
        }
      }
    },
    "ProcessStatusDto": {
      "type": "object",
      "properties": {
        "caoApprovalTaskStatus": {
          "type": "string"
        },
        "casApprovalTaskStatus": {
          "type": "string"
        },
        "tfoApprovalTaskStatus": {
          "type": "string"
        },
        "tfsApprovalTaskStatus": {
          "type": "string"
        }
      }
    },
    "AccreditiveDto": {
      "required": [
        "coverage"
      ],
      "type": "object",
      "properties": {
        "accreditiveNumber": {
          "type": "string"
        },
        "applicantName": {
          "type": "string"
        },
        "applicantCnum": {
          "type": "string"
        },
        "applicantInn": {
          "type": "string"
        },
        "status": {
          "type": "string",
          "enum": [
            "ISSUED",
            "ENDED",
            "ERROR",
            "CREATED_WITHOUT_LOAN"
          ]
        },
        "requestedEffectiveDate": {
          "type": "string",
          "format": "date"
        },
        "expiryDate": {
          "type": "string",
          "format": "date"
        },
        "amount": {
          "type": "number"
        },
        "rubEquivalentAmount": {
          "type": "number"
        },
        "currency": {
          "type": "string"
        },
        "type": {
          "type": "string",
          "enum": [
            "RUSSIAN",
            "INTERNATIONAL"
          ]
        },
        "beneficiaryFullName": {
          "type": "string"
        },
        "beneficiaryBankName": {
          "type": "string"
        },
        "beneficiaryInn": {
          "type": "string"
        },
        "agreementNumber": {
          "type": "string"
        },
        "agreementDate": {
          "type": "string",
          "format": "date"
        },
        "currentSum": {
          "type": "number"
        },
        "commitmentContractNumber": {
          "type": "string"
        },
        "commitmentContractDate": {
          "type": "string",
          "format": "date"
        },
        "chargePercent": {
          "type": "string"
        },
        "coverage": {
          "type": "boolean"
        },
        "coveragePercent": {
          "type": "string"
        },
        "coverageValue": {
          "type": "number"
        },
        "coverageCurrency": {
          "type": "string"
        },
        "confirmation": {
          "type": "boolean"
        },
        "postFinancing": {
          "type": "boolean"
        },
        "discount": {
          "type": "boolean"
        }
      }
    },
    "PageDtoAccreditiveDto": {
      "required": [
        "content",
        "totalElements"
      ],
      "type": "object",
      "properties": {
        "content": {
          "type": "array",
          "items": {
            "$ref": "#/components/schemas/AccreditiveDto"
          }
        },
        "totalElements": {
          "type": "integer",
          "format": "int64"
        }
      }
    },
    "AccreditiveListFilterDto": {
      "required": [
        "page",
        "sort"
      ],
      "type": "object",
      "properties": {
        "applicantName": {
          "type": "string"
        },
        "applicantCnum": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "accreditiveNumber": {
          "type": "string"
        },
        "status": {
          "type": "array",
          "items": {
            "type": "string",
            "enum": [
              "ISSUED",
              "ENDED",
              "ERROR",
              "CREATED_WITHOUT_LOAN"
            ]
          }
        },
        "requestedEffectiveDate": {
          "$ref": "#/components/schemas/RangeDtoLocalDate"
        },
        "expiryDate": {
          "$ref": "#/components/schemas/RangeDtoLocalDate"
        },
        "amount": {
          "$ref": "#/components/schemas/RangeDtoBigDecimal"
        },
        "rubEquivalentAmount": {
          "$ref": "#/components/schemas/RangeDtoBigDecimal"
        },
        "currentSum": {
          "$ref": "#/components/schemas/RangeDtoBigDecimal"
        },
        "currency": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "type": {
          "type": "array",
          "items": {
            "type": "string",
            "enum": [
              "RUSSIAN",
              "INTERNATIONAL"
            ]
          }
        },
        "beneficiaryFullName": {
          "type": "string"
        },
        "agreementNumber": {
          "type": "string"
        },
        "accreditiveNumberList": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "page": {
          "$ref": "#/components/schemas/RequestPageDto"
        },
        "sort": {
          "type": "array",
          "items": {
            "$ref": "#/components/schemas/SortDto"
          }
        }
      }
    }
  },
  "parameters": {
    "IdTokenHeader": {
      "name": "Id-Token",
      "in": "header",
      "description": "Идентификационный токен пользователя",
      "required": true,
      "schema": {
        "type": "string",
        "format": "byte"
      }
    }
  }
}